{
  "name": "@telosid/capacitor-plugin-onyx",
  "version": "7.1.0",
  "description": "Ionic Capacitor plugin to use ONYX by Diamond Fortress Technologies Inc.",
  "main": "dist/plugin.cjs.js",
  "module": "dist/esm/index.js",
  "types": "dist/esm/index.d.ts",
  "unpkg": "dist/plugin.js",
  "files": [
    "android/src/main/",
    "android/build.gradle",
    "dist/",
    "ios/Plugin/",
    "CapacitorPluginOnyx.podspec"
  ],
  "author": "mwheatley@diamondfortress.com",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/telosid/plugins/capacitor-plugin-onyx.git"
  },
  "bugs": {
    "url": "https://gitlab.com/telosid/plugins/capacitor-plugin-onyx/issues"
  },
  "keywords": [
    "capacitor",
    "plugin",
    "native",
    "onyx",
    "Diamond Foretress Technologies",
    "DFT",
    "android",
    "ios"
  ],
  "scripts": {
    "verify": "npm run verify:ios && npm run verify:android && npm run verify:web",
    "verify:ios": "cd ios && pod install && xcodebuild -workspace Plugin.xcworkspace -scheme Plugin && cd ..",
    "verify:android": "cd android && ./gradlew clean build test && cd ..",
    "verify:web": "npm run build",
    "lint": "npm run eslint && npm run prettier -- --check && npm run swiftlint -- lint",
    "fmt": "npm run eslint -- --fix && npm run prettier -- --write && npm run swiftlint -- autocorrect --format",
    "eslint": "eslint . --ext ts",
    "prettier": "prettier \"**/*.{css,html,ts,js,java}\"",
    "swiftlint": "node-swiftlint",
    "docgen": "docgen --api OnyxPlugin --output-readme README.md --output-json dist/docs.json",
    "build": "npm run clean && npm run docgen && tsc && rollup -c rollup.config.js",
    "clean": "rimraf ./dist",
    "watch": "tsc --watch",
    "prepublishOnly": "npm run build"
  },
  "devDependencies": {
    "@capacitor/android": "^3.0.0",
    "@capacitor/core": "^3.0.0",
    "@capacitor/docgen": "^0.0.10",
    "@capacitor/ios": "^3.0.0",
    "@telosid/onyx-typedefs": "latest",
    "@ionic/eslint-config": "^0.3.0",
    "@ionic/prettier-config": "^1.0.1",
    "@ionic/swiftlint-config": "^1.1.2",
    "eslint": "^7.11.0",
    "prettier": "~2.2.0",
    "prettier-plugin-java": "~1.0.0",
    "rimraf": "^3.0.2",
    "rollup": "^2.32.0",
    "swiftlint": "^1.0.1",
    "typescript": "~4.0.3"
  },
  "peerDependencies": {
    "@capacitor/core": "^3.0.0",
    "@telosid/onyx-typedefs": "^1.0.0"
  },
  "prettier": "@ionic/prettier-config",
  "swiftlint": "@ionic/swiftlint-config",
  "eslintConfig": {
    "extends": "@ionic/eslint-config/recommended"
  },
  "capacitor": {
    "ios": {
      "src": "ios"
    },
    "android": {
      "src": "android"
    }
  }
}
